## org.opengis.geometry
Class MismatchedReferenceSystemException

    Object
      Throwable
          Exception
              RuntimeException
                  IllegalArgumentException
                      MismatchedReferenceSystemException

All Implemented Interfaces:
  Serializable

    public class MismatchedReferenceSystemException

extends IllegalArgumentException

Indicates that an object cannot be constructed because of a mismatch in the reference systems of geometric components.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Constructor Summary
`MismatchedReferenceSystemException()` Creates an exception with no message.
`MismatchedReferenceSystemException(String message)` Creates an exception with the specified message.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MismatchedReferenceSystemException

    public MismatchedReferenceSystemException()

  Creates an exception with no message.

### MismatchedReferenceSystemException

    public MismatchedReferenceSystemException(String message)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.